VARKON Version 1.15 1997-10-24

> ## getprt - Procedure

> Get part from GM
> Description
> Reads part data from GM.
> Syntax
> getprt(id, name, type, attribute, csys_id, npar, nmem, mem_id)

> REF | id;
> STRING | name*10;
> INT | type;
> INT | attribute;
> REF | csys_id;
> INT | npar;
> INT | nmem;
> REF | mem_id(nmem);

> Principal parameters

> id | - Global identity of a part
> name | - Name of part
> type | - 2 = DRAWING(2D), 3 = GEOMETRY(3D)
> attribute | - 1 = LOCAL, 2 = GLOBAL, 3 = BASIC
> csys_id | - Identity of coordinate system if attribute = 1
> npar | - Number of parameters
> nmem | - Number of members
> mem_id | - Identity of all members

> Optional parameters

> None. |

VARKON Homepage | Index